console.log("Loading mraid_ts_ext.js");

(function () {
    // Root bridge object handler
    var mraid_ts_ext = window.mraid_ts_ext = {};

    // Add mraid_ts_ext events
    mraid.EVENTS["CANOPENURL"] = "canOpenUrl";

    mraid_ts_ext.addEventListener = mraid.addEventListener;

    mraid_ts_ext.finishLoad = function () {
        console.log("mraid_ts_ext.finishLoad");
        log.i("mraid_ts_ext.finishLoad");
        mraid_helper.callNative("finishLoad");
    };

    mraid_ts_ext.failLoad = function () {
        console.log("mraid_ts_ext.failLoad");
        log.i("mraid_ts_ext.failLoad");
        mraid_helper.callNative("failLoad");
    };

    mraid_ts_ext.canOpenUrl = function (url) {
        log.i("mraid_ts_ext.canOpenUrl " + url);
        mraid_helper.callNative("canOpenUrl?url=" + encodeURIComponent(url));
    };

    mraid_ts_ext.fireCanOpenUrlEvent = function(canOpenUrl, url) {
        log.i("mraid_ts_ext.fireCanOpenUrlEvent " + canOpenUrl + " " + url);
        mraid_helper.fireEvent(mraid.EVENTS.CANOPENURL, canOpenUrl, url);
    };

}());
